IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Ioex::ElemBlock Struct Reference

`#include <Ioex_Internals.h>`

## Public Member Functions
| ElemBlock ()
| ElemBlock (const ElemBlock &other)
| ElemBlock (const Ioss::ElementBlock &other)
ElemBlock & | operator= (const ElemBlock &other)
| ~ElemBlock ()=default
bool | operator== (const ElemBlock &) const
bool | operator!= (const ElemBlock &other) const

## Public Attributes
char | elType [MAX_STR_LENGTH+1] {}
std::string | name
entity_id | id
int64_t | entityCount
int64_t | nodesPerEntity
int64_t | edgesPerEntity
int64_t | facesPerEntity
int64_t | attributeCount
int64_t | offset_
int64_t | procOffset

## Constructor & Destructor Documentation

## ◆ ElemBlock() [1/3]

Ioex::ElemBlock::ElemBlock | ( |  | ) |
| inline

## ◆ ElemBlock() [2/3]

Ioex::ElemBlock::ElemBlock | ( | const ElemBlock & | other | ) |
| inline

## ◆ ElemBlock() [3/3]

ElemBlock::ElemBlock | ( | const Ioss::ElementBlock & | other | ) |
| explicit

## ◆ ~ElemBlock()

Ioex::ElemBlock::~ElemBlock | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator!=()

bool Ioex::ElemBlock::operator!= | ( | const ElemBlock & | other | ) | const
| inline

## ◆ operator=()

ElemBlock & ElemBlock::operator= | ( | const ElemBlock & | other | ) |

## ◆ operator==()

bool ElemBlock::operator== | ( | const ElemBlock & | other | ) | const

## Member Data Documentation

## ◆ attributeCount

int64_t Ioex::ElemBlock::attributeCount

## ◆ edgesPerEntity

int64_t Ioex::ElemBlock::edgesPerEntity

## ◆ elType

char Ioex::ElemBlock::elType[MAX_STR_LENGTH+1] {}

## ◆ entityCount

int64_t Ioex::ElemBlock::entityCount

## ◆ facesPerEntity

int64_t Ioex::ElemBlock::facesPerEntity

## ◆ id

entity_id Ioex::ElemBlock::id

## ◆ name

std::string Ioex::ElemBlock::name

## ◆ nodesPerEntity

int64_t Ioex::ElemBlock::nodesPerEntity

## ◆ offset_

int64_t Ioex::ElemBlock::offset_

## ◆ procOffset

int64_t Ioex::ElemBlock::procOffset

The documentation for this struct was generated from the following files:

- src/exodus/Ioex_Internals.h
- src/exodus/Ioex_Internals.C